%define oname synfig

Name: libsynfig
Version: 0.61.05
Release: alt1

Summary: Vector-based 2D animation software package

License: free
Group: Development/C++
Url:   http://www.synfig.com/

Source: http://www.bridgetone.com/voria/files/%oname-%version.tar.bz2

# Automatically added by buildreq on Fri Jan 12 2007
BuildRequires: gcc-c++ ImageMagick libavformat-devel libetl-devel libjpeg-devel libltdl-devel libpng-devel libsigc++2.0-devel libtiff-devel libXft-devel libxml2-devel libxml++2-devel openexr-devel

%description
Synfig is a powerful, industrial-strength vector-based 2D animation 
software package, designed from the ground-up for producing 
feature-film quality animation with fewer people and resources. 
While there are many other programs currently on the market to aid 
with the efficient production of 2D animation, we are currently 
unaware of any other software that can do what our software can.

%package devel
Summary:	Header files for Synfig
Group: Development/C++
Requires: %name = %version-%release

%description devel
Header files for Synfig.

%prep
%setup -q -n %oname-%version

%build
%configure
%__subst "s|\$(includedir)/synfig|\$(includedir)|g" src/synfig/Makefile
%__subst "s|/usr/include/synfig-0.0|\$(pkgincludedir)/synfig-0.0|g" src/synfig/Makefile
%make_build

%install
%makeinstall

%post
%post_ldconfig

%postun
%postun_ldconfig

%files
%_bindir/%oname
%_sysconfdir/*
%_libdir/lib*.so*
%_libdir/%oname/

%files devel
%_includedir/*
%_pkgconfigdir/*
%_bindir/%oname-config

%changelog
* Fri Jan 12 2007 Vitaly Lipatov <lav@altlinux.ru> 0.61.05-alt1
- initial build for ALT Linux Sisyphus

